package com.simuwang.manage.dto;

import java.util.List;

/**
 * @author wangzaijun
 * @date 2024/9/12 20:21
 * @description 用户登录后的基本信息
 */
public class UserInfoVO {
    /**
     * 当前用户id
     */
    private Integer userId;
    /**
     * 用户账号
     */
    private String username;
    /**
     * 用户邮箱
     */
    private String email;
    /**
     * 手机号码
     */
    private String phonenumber;
    /**
     * 角色列表
     */
    private List<UserRoleDTO> roles;
    /**
     * 菜单树
     */
    private MenuTreeDTO menuTree;

    public UserInfoVO() {
    }

    public UserInfoVO(Integer userId, String username, List<UserRoleDTO> roles, MenuTreeDTO menuTree) {
        this();
        this.userId = userId;
        this.username = username;
        this.roles = roles;
        this.menuTree = menuTree;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public List<UserRoleDTO> getRoles() {
        return roles;
    }

    public void setRoles(List<UserRoleDTO> roles) {
        this.roles = roles;
    }

    public MenuTreeDTO getMenuTree() {
        return menuTree;
    }

    public void setMenuTree(MenuTreeDTO menuTree) {
        this.menuTree = menuTree;
    }
}
